USRP Hardware Driver and USRP Manual: uhd::transport::bounded_buffer_detail< elem_type > Class Template Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::transport::bounded_buffer_detail< elem_type > Class Template Reference
Inheritance diagram for uhd::transport::bounded_buffer_detail< elem_type >:

## Public Member Functions
| bounded_buffer_detail (size_t capacity)
UHD_INLINE bool | push_with_haste (const elem_type &elem)
UHD_INLINE bool | push_with_pop_on_full (const elem_type &elem)
UHD_INLINE void | push_with_wait (const elem_type &elem)
UHD_INLINE bool | push_with_timed_wait (const elem_type &elem, double timeout)
UHD_INLINE bool | pop_with_haste (elem_type &elem)
UHD_INLINE void | pop_with_wait (elem_type &elem)
UHD_INLINE bool | pop_with_timed_wait (elem_type &elem, double timeout)
UHD_INLINE std::vector< elem_type > | pop_all ()

## Constructor & Destructor Documentation

## ◆ bounded_buffer_detail()

template<typename elem_type>

uhd::transport::bounded_buffer_detail< elem_type >::bounded_buffer_detail | ( | size_t | capacity | ) |
| inline

## Member Function Documentation

## ◆ pop_all()

template<typename elem_type>

UHD_INLINE std::vector< elem_type > uhd::transport::bounded_buffer_detail< elem_type >::pop_all | ( |  | ) |
| inline

## ◆ pop_with_haste()

template<typename elem_type>

UHD_INLINE bool uhd::transport::bounded_buffer_detail< elem_type >::pop_with_haste | ( | elem_type & | elem | ) |
| inline

## ◆ pop_with_timed_wait()

template<typename elem_type>

UHD_INLINE bool uhd::transport::bounded_buffer_detail< elem_type >::pop_with_timed_wait | ( | elem_type & | elem,
|  | double | timeout )
| inline

## ◆ pop_with_wait()

template<typename elem_type>

UHD_INLINE void uhd::transport::bounded_buffer_detail< elem_type >::pop_with_wait | ( | elem_type & | elem | ) |
| inline

## ◆ push_with_haste()

template<typename elem_type>

UHD_INLINE bool uhd::transport::bounded_buffer_detail< elem_type >::push_with_haste | ( | const elem_type & | elem | ) |
| inline

## ◆ push_with_pop_on_full()

template<typename elem_type>

UHD_INLINE bool uhd::transport::bounded_buffer_detail< elem_type >::push_with_pop_on_full | ( | const elem_type & | elem | ) |
| inline

## ◆ push_with_timed_wait()

template<typename elem_type>

UHD_INLINE bool uhd::transport::bounded_buffer_detail< elem_type >::push_with_timed_wait | ( | const elem_type & | elem,
|  | double | timeout )
| inline

## ◆ push_with_wait()

template<typename elem_type>

UHD_INLINE void uhd::transport::bounded_buffer_detail< elem_type >::push_with_wait | ( | const elem_type & | elem | ) |
| inline

The documentation for this class was generated from the following file:

- bounded_buffer.ipp